# Spark Transaction Details

Returns detailed information about a specific Spark transaction, including token movements and participants.

## GET /v1/spark/tx/{txid}

> Retrieves detailed information about a specific transaction (Spark, Bitcoin, Lightning, or Token) by its ID or hash

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/spark/tx/{txid}":{"get":{"tags":["Spark"],"description":"Retrieves detailed information about a specific transaction (Spark, Bitcoin, Lightning, or Token) by its ID or hash","parameters":[{"schema":{"type":"string"},"in":"path","name":"txid","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"status":{"type":"string"},"createdAt":{"type":"string"},"updatedAt":{"type":"string"},"from":{"type":"object","properties":{"type":{"type":"string"},"identifier":{"type":"string"},"pubkey":{"type":"string"}}},"to":{"type":"object","properties":{"type":{"type":"string"},"identifier":{"type":"string"},"pubkey":{"type":"string"}}},"amountSats":{"type":"number"},"amount":{"type":"number"},"valueUsd":{"type":"number"},"timeTakenSeconds":{"type":"number"},"tokenMetadata":{"type":"object","properties":{"tokenIdentifier":{"type":"string"},"tokenAddress":{"type":"string"},"name":{"type":"string"},"ticker":{"type":"string"},"decimals":{"type":"number"},"issuerPublicKey":{"type":"string"},"maxSupply":{"type":"number"},"isFreezable":{"type":"boolean"},"iconUrl":{"type":"string"}}},"multiIoDetails":{"type":"object","properties":{"inputs":{"type":"array","items":{"type":"object","properties":{"address":{"type":"string"},"pubkey":{"type":"string"},"amount":{"type":"number"}}}},"outputs":{"type":"array","items":{"type":"object","properties":{"address":{"type":"string"},"pubkey":{"type":"string"},"amount":{"type":"number"}}}},"totalInputAmount":{"type":"number"},"totalOutputAmount":{"type":"number"}},"required":["inputs","outputs"]},"txid":{"type":"string"},"bitcoinTxData":{"type":"object","properties":{"txid":{"type":"string"},"vin":{"type":"array","items":{"type":"object","properties":{"prevout":{"type":"string"},"witness":{"type":"string"},"value":{"type":"number"}}}},"vout":{"type":"array","items":{"type":"object","properties":{"scriptpubkeyAddress":{"type":"string"},"value":{"type":"number"}}}},"status":{"type":"object","properties":{"confirmed":{"type":"boolean"},"blockHeight":{"type":"number"},"blockTime":{"type":"number"}}},"fee":{"type":"number"}}}}}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
